Package org.apache.sysds.hops

## Enum BinaryOp.MMBinaryMethod

- java.lang.Object
- - java.lang.Enum<BinaryOp.MMBinaryMethod>
  - - org.apache.sysds.hops.BinaryOp.MMBinaryMethod

- All Implemented Interfaces:
    `Serializable`, `Comparable<BinaryOp.MMBinaryMethod>`
  Enclosing class:
    BinaryOp

      public static enum BinaryOp.MMBinaryMethod
      extends Enum<BinaryOp.MMBinaryMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CP_BINARY` |
    `MR_BINARY_M` |
    `MR_BINARY_OUTER_M` |
    `MR_BINARY_OUTER_R` |
    `MR_BINARY_R` |
    `MR_BINARY_UAGG_CHAIN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BinaryOp.MMBinaryMethod` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BinaryOp.MMBinaryMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CP_BINARY

          public static final BinaryOp.MMBinaryMethod CP_BINARY

    - #### MR_BINARY_R

          public static final BinaryOp.MMBinaryMethod MR_BINARY_R

    - #### MR_BINARY_M

          public static final BinaryOp.MMBinaryMethod MR_BINARY_M

    - #### MR_BINARY_OUTER_M

          public static final BinaryOp.MMBinaryMethod MR_BINARY_OUTER_M

    - #### MR_BINARY_OUTER_R

          public static final BinaryOp.MMBinaryMethod MR_BINARY_OUTER_R

    - #### MR_BINARY_UAGG_CHAIN

          public static final BinaryOp.MMBinaryMethod MR_BINARY_UAGG_CHAIN

  - ### Method Detail

    - #### values

          public static BinaryOp.MMBinaryMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryOp.MMBinaryMethod c : BinaryOp.MMBinaryMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryOp.MMBinaryMethod valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null